local skipflag = false
if type(lib) == "table" and lib[0] == "LME" then
	local ifmgr = lib.get_gstate().ifmgr
	if ifmgr ~= "vo-if" and ifmgr ~= "MultiUI" then
		--some day there'll be a genericized API call to test if the current ifmgr is DefaultUI compatible...
		skipflag = true
	end
	if lib.execute("MultiUI", "0", "get_interface") ~= "DefaultUI" then
		skipflag = true
	end
end

local function countB()
	local counter = 0
	ForEachBuddy(function(id)
		counter = counter + 1
	end)
	return counter
end

RegisterUserCommand("buddycount", function() print("You have " .. tostring(countB()) .. " buddies!") end)

local function create_counter()
	if skipflag then
		return
	end
	
	local function create_display()
		local display_obj = iup.label {
			title = "",
		}
		local function do_update()
			display_obj.title = tostring(countB())
			iup.Refresh(display_obj)
		end
		
		RegisterEvent(do_update, "UPDATE_BUDDY_LIST")
		
		do_update()
		
		return iup.stationsubframe {
			iup.hbox {
				iup.fill { },
				iup.label {
					title = "Number of buddies: ",
				},
				display_obj,
			},
		}
	end
	
	local function iup_front_append(ifhandle, new_obj)
		--deconstructs interface element to append to top
		local iup_gnc = iup.GetNextChild
		local iup_gb = iup.GetBrother
		
		local if_layers = {}
		local cur_layer = iup_gnc(ifhandle)
		
		while cur_layer do
			local next = iup_gb(cur_layer)
			table.insert(if_layers, cur_layer)
			cur_layer:detach()
			cur_layer = next
		end
		
		iup.Append(ifhandle, new_obj)
		
		for _, v in ipairs(if_layers) do
			iup.Append(ifhandle, v)
		end
		
		iup.Refresh(ifhandle)
	end
	
	iup_front_append(StationPDACommTab[1][2][1][1][1][2][1], create_display())
	iup_front_append(PDACommTab[1][2][1][1][1][2][1], create_display())
	iup_front_append(CapShipPDACommTab[1][2][1][1][1][2][1], create_display())
end

RegisterEvent(create_counter, "PLUGINS_LOADED")